Bug 852326 - Review Request: powerpc-utils-python - python utilities for PowerPC systems
Review Request: powerpc-utils-python - python utilities for PowerPC systems
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Alphappc
  Show dependency treegraph
 
Reported: 2012-08-28 04:16 EDT by Lukáš Nykrýn
Modified: 2012-09-14 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 04:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vpavlin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-28 04:16:22 EDT
Spec URL: http://lnykryn.fedorapeople.org/powerpc-utils-python/powerpc-utils-python.spec
SRPM URL: http://lnykryn.fedorapeople.org/powerpc-utils-python/powerpc-utils-python-1.2.1-1.fc16.src.rpm
Description: Python based utilities for maintaining and servicing PowerPC systems.
Fedora Account System Username: lnykryn
Comment 1 Václav Pavlín 2012-08-29 07:53:19 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
        Python package - no debug info
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define debug_package %{nil}

Issues:


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Lukáš Nykrýn 2012-08-29 08:32:41 EDT
New Package SCM Request
=======================
Package Name: powerpc-utils-python
Short Description: Python utilities for PowerPC platforms
Owners: lnykryn
Branches: f17 f18
InitialCC:
Comment 4 Jon Ciesla 2012-08-29 10:54:55 EDT
Git done (by process-git-requests).
Comment 5 Brent Baude 2012-08-30 11:59:15 EDT
I've add this to the F18 PPC64 alpha blocker for tracking.
Comment 6 Brent Baude 2012-08-31 11:36:44 EDT
We believe this package should always be present on PowerPC systems, so it should probably be added to the Base comps group as a default package.
Comment 7 Bill Nottingham 2012-09-04 10:43:07 EDT
Any reason powerpc-utils can't just require this?
Comment 8 Bill Nottingham 2012-09-14 09:26:35 EDT
Re-ping: questions are:

1) ppc64-utils is a meta-package that brings in a lot of these similar tools. Should ppc64-utils just require powerpc-utils-python?

2) This is a GUI tool. Having a GUI tool in all installs strikes me as somewhat odd - is that what you want?
Comment 9 Brent Baude 2012-09-14 13:55:12 EDT
Bill, I am inclined to agree with your #2 in comment 8.  Ill discuss #1 at the next weekly fedora powerpc call.

Note You need to log in before you can comment on or make changes to this bug.